- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QXmlStreamAttributes Class Reference

Search for all occurrences

## Detailed Description

Definition at line 169 of file qxmlstream.h.

`#include <qxmlstream.h>`

Inheritance diagram for QXmlStreamAttributes:
[legend]

List of all members.

## Public Member Functions
QStringRef | value (const QString &namespaceUri, const QString &name) const
QStringRef | value (const QString &namespaceUri, const QLatin1String &name) const
QStringRef | value (const QLatin1String &namespaceUri, const QLatin1String &name) const
QStringRef | value (const QString &qualifiedName) const
QStringRef | value (const QLatin1String &qualifiedName) const
void | append (const QString &namespaceUri, const QString &name, const QString &value)
void | append (const QString &qualifiedName, const QString &value)
bool | hasAttribute (const QString &qualifiedName) const
bool | hasAttribute (const QLatin1String &qualifiedName) const
bool | hasAttribute (const QString &namespaceUri, const QString &name) const

## Member Function Documentation

QStringRef value | ( | const QString & | namespaceUri,
|  | const QString & | name
| ) |  | const

Search for all occurrences

QStringRef value | ( | const QString & | namespaceUri,
|  | const QLatin1String & | name
| ) |  | const

Search for all occurrences

QStringRef value | ( | const QLatin1String & | namespaceUri,
|  | const QLatin1String & | name
| ) |  | const

Search for all occurrences

QStringRef value | ( | const QString & | qualifiedName | ) | const

Search for all occurrences

QStringRef value | ( | const QLatin1String & | qualifiedName | ) | const

Search for all occurrences

void append | ( | const QString & | namespaceUri,
|  | const QString & | name,
|  | const QString & | value
| ) |  |

Search for all occurrences

void append | ( | const QString & | qualifiedName,
|  | const QString & | value
| ) |  |

Search for all occurrences

bool hasAttribute | ( | const QString & | qualifiedName | ) | const `[inline]`

Search for all occurrences

Definition at line 180 of file qxmlstream.h.

        {
            return !value(qualifiedName).isNull();
        }

bool hasAttribute | ( | const QLatin1String & | qualifiedName | ) | const `[inline]`

Search for all occurrences

Definition at line 185 of file qxmlstream.h.

        {
            return !value(qualifiedName).isNull();
        }

bool hasAttribute | ( | const QString & | namespaceUri,
|  | const QString & | name
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 190 of file qxmlstream.h.

        {
            return !value(namespaceUri, name).isNull();
        }

The documentation for this class was generated from the following file:

- QtCore/qxmlstream.h

QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes
QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes QXmlStreamAttributes